> For the complete documentation index, see [llms.txt](https://docs.lipachat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lipachat.com/api/whatsapp-flows/get-flow-preview.md).

# Get flow preview

```
GET https://gateway.lipachat.com/api/v1/whatsapp/manage/flow/:id/preview/url
NB: Replace :id with the flow id you want to preview
```

**Headers**

| Name         | Value                                                                           |
| ------------ | ------------------------------------------------------------------------------- |
| Content-Type | application/json                                                                |
| apiKey       | Get apiKey from app portal settings tab <https://app.lipachat.com/app/settings> |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "timestamp": "2024-03-12T09:59:53.102792",
  "data": {
    "preview": {
      "preview_url": "https://business.facebook.com/wa/manage/flows/1115801529546359/preview/?token=3511a634-cc21-4322-b1d8-7f3abda2dd9d",
      "expires_at": "2024-04-11T06:59:53+0000"
    },
    "id": "1115801529546359"
  },
  "status": "success",
  "message": "",
  "errors": null
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "timestamp": "2024-09-15T20:06:38.675567555",
    "data": null,
    "status": "error",
    "message": "Request failed.",
    "errors": null
}
```

{% endtab %}

{% tab title="401" %}

```json
{
    "timestamp": "2024-09-15T20:07:23.464199513",
    "data": null,
    "status": "success",
    "message": "Invalid credentials",
    "errors": null
}
```

{% endtab %}
{% endtabs %}
